%define name libgweather
%define version  3.6.2
%define release %mkrel 2

%define major 1
%define libname %mklibname gweather %major
%define develname %mklibname -d gweather
%define olddevelname %mklibname -d gnome-applets

Summary: GNOME Weather applet library
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
License: GPLv2+
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libsoup-devel
BuildRequires: gtk+3.0-devel >= 2.90.0
BuildRequires: libGConf2-devel
BuildRequires: intltool
BuildRequires: libxml2-utils
Conflicts: gnome-applets < 2.21.3
Obsoletes: %name < %version


%description
This is a library to provide Weather data to the GNOME panel applet.

%description -l de
Die Gnome Wetter Applet Bibliothek.
Die Bibliothek, die das Wetter im Gnome Systemabschnitt wiedergibt.


%package -n %libname
Group: System/Libraries
Summary: GNOME Weather applet library
Requires: %name >= %version
Obsoletes: %{_lib}gweather0

%description -n %libname
This is a library to provide Weather data to the GNOME panel applet.

%description -n %libname -l de
Die Gnome Wetter Applet Bibliothek.
Die Bibliothek, die das Wetter im Gnome Systemabschnitt wiedergibt.


%package -n %develname
Group: Development/Libraries
Summary: GNOME Weather applet library
Requires: %libname = %version
Provides: %name-devel = %version-%release
Obsoletes: %olddevelname < 2.21.3

%description -n %develname
This is a library to provide Weather data to the GNOME panel applet.

%description -n %develname -l de
Die Gnome Wetter Applet Bibliothek.
Die Bibliothek, die das Wetter im Gnome Systemabschnitt wiedergibt. Entwickler Dateien.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make 

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std
%find_lang %name
for xmlfile in  %buildroot%_datadir/%name/Locations.*.xml; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml//)) $(echo $xmlfile | sed s!%buildroot!!)" >> %name.lang
done

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%dir %_datadir/%name
%_datadir/%name/locations.dtd
%_datadir/%name/Locations.xml
%_datadir/icons/gnome/*/status/*.png
%_datadir/icons/gnome/*/status/*.svg
%_datadir/locale
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libgweather-3.so.%{major}*
%{_libdir}/girepository-1.0/GWeather-3.0.typelib

%files -n %develname
%defattr(-, root, root)
%doc ChangeLog
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
%{_datadir}/gtk-doc/html/libgweather-3.0
%{_datadir}/gir-1.0/GWeather-3.0.gir

%changelog
* Fri Aug 22 2014 bb <bb> 3.6.2-2pclos2014
- rebuild

